from Sockets import SocketCommandCollector

from Thump.Configuration import configFile

# TODO: accomodate possible use of unix sockets

class PlayerToQueue(SocketCommandCollector):
  def __init__(self):
    SocketCommandCollector.__init__(self, 
      ("tcp", (configFile.addresses["player"], configFile.ports["playerToQueue"])),
      ("tcp", (configFile.addresses["queue"], configFile.ports["queueToPlayer"])))

class QueueToPlayer(SocketCommandCollector):
  def __init__(self):
    SocketCommandCollector.__init__(self, 
      ("tcp", (configFile.addresses["queue"], configFile.ports["queueToPlayer"])),
      ("tcp", (configFile.addresses["player"], configFile.ports["playerToQueue"])))

class QueueToOutside(SocketCommandCollector):
  def __init__(self):
    SocketCommandCollector.__init__(self, 
      ("tcp", (configFile.addresses["queue"], configFile.ports["queueToOutside"])))

