import os, sys

from Io.Files import NullFile

class DaemonMixin:

  self.stdoutFile = NullFile()
  self.stderrFile = NullFile()
  self.homeDir = "/"

  isDaemon = False

  def daemon(self):
    os.fork() and sys.exit(0)

    os.chdir(self.homeDir)
    os.setsid()
    os.umask(0)

    sys.stdin.close()
    sys.stdout, sys.stderr = self.stdoutFile, self.stderrFile

    os.fork() and sys.exit(0)

    self.isDaemon = True

