import Xml

class Message(dict):

  def __init__(self, xml=None, **kwargs):

    if xml:
      # Message(xml="<foo>a</foo>")
      dct = Xml.xml2dict(xml)
    else:
      # Message(foo="a")
      dct = kwargs

    print dct
    dict.__init__(self, dct) # needs 2.3


  def xml(self):
    return Xml.dict2xml(dict(self))

  def __getattr__(self, name): 
    try:
      return dict.__getitem__(self, name)
    except KeyError:
      raise AttributeError

  def __setattr__(self, name, value):
    if hasattr(self, name):
      dict.__setattr__(self, name, value)
    else:
      dict.__setitem__(self, name, value)


class DoneMsg(Message):
  def __init__(self): Message.__init__(self, cmd="done")

class StopMsg(Message):
  def __init__(self): Message.__init__(self, cmd="stop")

class PlayMsg(Message):
  def __init__(self, filename): Message.__init__(self, cmd="play", data=filename)


